std::numeric_limits< cutlass::half_t > Struct Template Reference

Numeric limits.

`#include <half.h>`

## Static Public Member Functions

static cutlass::half_t | min ()
| Least positive value. More...
static cutlass::half_t | lowest ()
| Minimum finite value. More...
static cutlass::half_t | max ()
| Maximum finite value. More...
static cutlass::half_t | epsilon ()
| Returns smallest finite value. More...
static cutlass::half_t | round_error ()
| Returns smallest finite value. More...
static cutlass::half_t | infinity ()
| Returns smallest finite value. More...
static cutlass::half_t | quiet_NaN ()
| Returns smallest finite value. More...
static cutlass::half_t | signaling_NaN ()
| Returns smallest finite value. More...
static cutlass::half_t | denorm_min ()
| Returns smallest finite value. More...

## Static Public Attributes

static bool const | is_specialized = true
static bool const | is_signed = true
static bool const | is_integer = false
static bool const | is_exact = false
static bool const | has_infinity = true
static bool const | has_quiet_NaN = true
static bool const | has_signaling_NaN = false
static std::float_denorm_style const | has_denorm = std::denorm_present
static bool const | has_denorm_loss = true
static std::float_round_style const | round_style = std::round_to_nearest
static bool const | is_iec559 = true
static bool const | is_bounded = true
static bool const | is_modulo = false
static int const | digits = 10

## Member Function Documentation

static cutlass::half_t std::numeric_limits< cutlass::half_t >::denorm_min | ( |  | ) |

inlinestatic

static cutlass::half_t std::numeric_limits< cutlass::half_t >::epsilon | ( |  | ) |

inlinestatic

static cutlass::half_t std::numeric_limits< cutlass::half_t >::infinity | ( |  | ) |

inlinestatic

static cutlass::half_t std::numeric_limits< cutlass::half_t >::lowest | ( |  | ) |

inlinestatic

static cutlass::half_t std::numeric_limits< cutlass::half_t >::max | ( |  | ) |

inlinestatic

static cutlass::half_t std::numeric_limits< cutlass::half_t >::min | ( |  | ) |

inlinestatic

static cutlass::half_t std::numeric_limits< cutlass::half_t >::quiet_NaN | ( |  | ) |

inlinestatic

static cutlass::half_t std::numeric_limits< cutlass::half_t >::round_error | ( |  | ) |

inlinestatic

static cutlass::half_t std::numeric_limits< cutlass::half_t >::signaling_NaN | ( |  | ) |

inlinestatic

## Member Data Documentation

int const std::numeric_limits< cutlass::half_t >::digits = 10

static

std::float_denorm_style const std::numeric_limits< cutlass::half_t >::has_denorm = std::denorm_present

static

bool const std::numeric_limits< cutlass::half_t >::has_denorm_loss = true

static

bool const std::numeric_limits< cutlass::half_t >::has_infinity = true

static

bool const std::numeric_limits< cutlass::half_t >::has_quiet_NaN = true

static

bool const std::numeric_limits< cutlass::half_t >::has_signaling_NaN = false

static

bool const std::numeric_limits< cutlass::half_t >::is_bounded = true

static

bool const std::numeric_limits< cutlass::half_t >::is_exact = false

static

bool const std::numeric_limits< cutlass::half_t >::is_iec559 = true

static

bool const std::numeric_limits< cutlass::half_t >::is_integer = false

static

bool const std::numeric_limits< cutlass::half_t >::is_modulo = false

static

bool const std::numeric_limits< cutlass::half_t >::is_signed = true

static

bool const std::numeric_limits< cutlass::half_t >::is_specialized = true

static

std::float_round_style const std::numeric_limits< cutlass::half_t >::round_style = std::round_to_nearest

static

The documentation for this struct was generated from the following file:

- half.h